@charset "utf-8";

/*
************************************************************************
* ボタン類共通
* @copyright Revolme Inc.
************************************************************************
*/
.btn-contents-link
{
	display:inline-block;
	font-size:2.4rem;
	line-height:1;
	
	padding:0.0em 0.1em 0.5em 0.1em;
	
	transition-duration:0.3s;
	transition-property:all;
	transition-timing-function:ease;
}
.btn-contents-link:after
{
	content:"";
	display:block;
	
	position:absolute;
	bottom:0;
	left:0;
	right:0;
	
	border-bottom:1px solid #000000;
}
.btn-contents-link:hover
{
}
.btn-contents-link .main
{
	letter-spacing:0.1em;
}
.btn-contents-link:hover:after
{
	animation-name:hoverBtn;
	animation-duration:0.5s;
	animation-timing-function:ease-out;
	animation-iteration-count:1;
	animation-fill-mode:forwards;
}

@keyframes hoverBtn {
	0% {
		left:0;
		right:0;
	}
	50% {
		left:100%;
		right:0;
	}
	51% {
		left:0;
		right:100%;
	}
	100% {
		left:0;
		right:0;
	}
}
.btn-contents-link.list-link .icon
{
	display:inline-block;
	
	width:17px;
	height:17px;
	
	margin-right:0.5em;
	
	background-image:url(../../../_img/icon/list-pc.svg);
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;
}
.btn-contents-link.top-link .icon
{
	display:inline-block;
	
	width:25px;
	height:17px;
	
	margin-right:0.5em;
	
	background-image:url(../../../_img/icon/top-page-b.svg);
	background-position:center center;
	background-repeat:no-repeat;
	background-size:contain;
}


/* == スマートフォンサイズ ======================================================*/
@media screen and (max-width: 750px) {
	.btn-contents-link
	{
		font-size:3.2rem;
		padding:0.0em 0.1em 0.5em 0.1em;
	}
	.btn-contents-link .main
	{
		letter-spacing:0.1em;
	}
	.btn-contents-link.list-link .icon
	{
		width:2.7vw;
		height:2.7vw;
		
		margin-right:0.5em;
		
		background-image:url(../../../_img/icon/list-pc.svg);
		background-position:center center;
		background-repeat:no-repeat;
		background-size:contain;
	}
	.btn-contents-link.top-link .icon
	{
		width:4.5vw;
		height:3.0vw;
		
		margin-right:0.5em;
		
		background-image:url(../../../_img/icon/top-page-b.svg);
		background-position:center center;
		background-repeat:no-repeat;
		background-size:contain;
	}
}

